=== modified file 'sql/threadpool_unix.cc'
--- sql/threadpool_unix.cc	2013-06-22 12:02:03 +0000
+++ sql/threadpool_unix.cc	2013-06-23 12:17:40 +0000
@@ -36,7 +36,9 @@ typedef struct kevent native_event;
 #include <port.h>
 typedef port_event_t native_event;
 #else
-#error threadpool is not available on this platform
+//#error threadpool is not available on this platform
+// dummy impl
+typedef int native_event;
 #endif
 
 /** Maximum number of native events a listener can read in one go */
@@ -404,6 +406,32 @@ static void* native_event_get_userdata(n
 {
   return event->portev_user;
 }
+#else
+// dummy impl
+static int io_poll_create()
+{
+  return -1;
+}
+int io_poll_start_read(int pollfd, int fd, void *data)
+{
+  return -1;
+}
+static int io_poll_associate_fd(int pollfd, int fd, void *data)
+{
+  return -1;
+}
+static int io_poll_disassociate_fd(int pollfd, int fd)
+{
+  return -1;
+}
+int io_poll_wait(int pollfd, native_event *events, int maxevents, int timeout_ms)
+{
+  return -1;
+}
+static void* native_event_get_userdata(native_event *event)
+{
+  return NULL;
+}
 #endif
 
 

